| Home | Libraries | People | FAQ | More

## Function first_finder

boost::algorithm::first_finder — "First" finder

## Synopsis

    template<typename ContainerT>
      unspecified first_finder(const ContainerT & Search);
    template<typename ContainerT, typename PredicateT>
      unspecified first_finder(const ContainerT & Search, PredicateT Comp);

## Description

Construct the `first_finder` . The finder searches for the first occurrence of the string in a given input. The result is given as an `iterator_range` delimiting the match.

Parameters

Search

  A substring to be searched for.

Returns: An instance of the `first_finder` object

| Copyright © 2002-2004 Pavol Droba